C# .NET4.0 改为 到.NET2.0 报错解决方法

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/yinjun151/article/details/51491844

        如今的VS开发工具都是VS2012或者VS2015版本,高版本开发的程序默认使用的都是.NET4.0或者更高的框架,其他电脑在运行该程序时需要安装对应版本的.NET。目前winXP和Win7系统默认都不包含.NET4.0框架,需要去微软官网下载安装。

        为了让winXP和Win7系统在不下载安装.NET的情况下也能顺利运行开发程序,需要将开发程序的.NET版本从4.0甚至更高版本降级至.NET2.0版本。.NET4版本降低后出现了一些报错,下面就常见报错及解决办法分享如下:

(1)“命名空间System中不存在类型或命名空间名称Linq。是否缺少 程序集引用?”

    解决办法:直接把Linq的引用using System.Linq代码注释掉。如下图:


(2)无法将类型为“System.Windows.Forms.SplitContainer”的对象强制转换为类型“System.ComponentModel.ISupportInitialize”。

解决办法:找到“((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).BeginInit();”、“((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).EndInit();”这两句代码并注释掉即可。如下图:





        程序再次进行编译就可以运行了。

展开阅读全文

没有更多推荐了,返回首页